Bug 1550982 - After setting storage.reserve limits, df from client shows increased volume used space though the mount point is empty
Summary: After setting storage.reserve limits, df from client shows increased volume u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: posix
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-03-02 13:18 UTC by Prasad Desala
Modified: 2018-09-07 06:27 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:44:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:12 UTC

Description Prasad Desala 2018-03-02 13:18:26 UTC
Description of problem:
======================
After setting storage.reserve volume option to 50, the used space increased from 2.4G to 97G though the mount point is empty.

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
===================
1) create a x3 volume and start it.
2) FUSE mount on a client and make a note of df -h output.
3) Set storage.reserve volume set option to 50,
gluster volume set distrepx3 storage.reserve 50
4) Check df -h output from client.

After setting storage.reserve volume option to 50, the used space increased from 2.4G to 97G though the mount point is empty.

           Filesystem               Size  Used Avail Use% Mounted on
Before -->  node1:/distrepx3  193G  2.4G  193G   2% /mnt/distrepx3_new
After -->   node1:/distrepx3  193G   97G  193G  34% /mnt/distrepx3_new

Actual results:
===============
After setting storage.reserve limits, df from client shows increased volume used space though the mount point is empty.

Expected results:
=================
df -h volume used output is misleading, it has to show the actual used space.

Comment 12 Prasad Desala 2018-04-18 10:12:50 UTC
Verified this BZ on glusterfs version 3.12.2-7.el7rhgs.x86_64.

Set storage.reserve to 50%. df -h from client shows Used, Avail, Use% correct values.

df -h /mnt/distrepx3_new
Filesystem               Size  Used Avail Use% Mounted on
10.70.42.143:/distrepx3  193G   97G   96G  51% /mnt/distrepx3_new

Moving this BZ to Verified.

Comment 14 errata-xmlrpc 2018-09-04 06:44:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.